RTF_CREATE_BANDPASS_ANALYTIC(3)

NAME
rtf_create_bandpass_analytic - Creates an IIR filter estimating the analytic signal in a bandpass.

SYNOPSIS

#include <rtf_common.h>

hfilter rtf_create_bandpass_analytic(unsigned int nch, int proctype,
double fl, double fh,
unsigned int num_pole);

DESCRIPTION

rtf_create_chebychev() creates a IIR chebychev filter processing nch channels of data type specified by proctype. The output of the filter is the analytic signal of the bandpassed data between the normalized frequencies fl and fh. The num_pole parameter specifies the number of poles of the Chebychev filter used as the basis of the analytic filter.

A normalized frequency is the ratio between the absolute frequency and the sampling frequency (i.e. a value of 1.0 refers to the sampling frequency).

The Z-transform of this filter has complex coefficients. So like rtf_create_filter(3) the created filter will output complex values keeping the precision specified by proctype.

It is important to note that this filter can quickly become unstable as the number of pole specified increased. Please refers to the authors of the library to know the stability domain (TODO: provides the stability domain here)

RETURN VALUE

Returns the handle to the created filter in case of success, NULL otherwise.

SEE ALSO
rtf_create_filter(3), rtf_destroy_filter(3)